Bug Hunting Session
Bug 121545 - Borders and background from format header menu is missing formatting options
Summary: Borders and background from format header menu is missing formatting options
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bisected
Depends on:
Blocks: Writer-Header-Footer
  Show dependency treegraph
 
Reported: 2018-11-20 12:52 UTC by Telesto
Modified: 2019-07-21 04:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison of both dialogs (62.59 KB, image/png)
2018-11-21 12:31 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-11-20 12:52:53 UTC
Description:
Borders and background from format header menu is missing options compared to "More"

Steps to Reproduce:
1. Open Writer
2. Insert a header
3. Click blue header/footer menu & select Borders & backgrounds
4. Press Cancel
5. Click blue header/footer menu -> Click format header
6. Click "More button"

Actual Results:
Borders & backgrounds has less options compared to the  "More button"

Expected Results:
Same type of dialog


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.0.0.alpha0+
Build ID: d71ea82055a6a304493c7eaa90809a348e23784d
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-11-19_03:25:07
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Dieter Praas 2018-11-20 13:13:48 UTC
I confirm it with

Version: 6.2.0.0.beta1 (x64)
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (de_DE); UI-Language: en-GB
Calc: threaded

and

Version: 6.1.3.2 (x64)
Build-ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group threaded
Comment 2 Xisco Faulí 2018-11-21 12:31:10 UTC
Created attachment 146867 [details]
Comparison of both dialogs
Comment 3 Xisco Faulí 2018-11-21 12:31:57 UTC
AS seen on the screenshot, the transparency tab is missing...
Comment 4 Xisco Faulí 2018-11-21 14:56:46 UTC
The transparency tab was added to the header dialog in https://cgit.freedesktop.org/libreoffice/core/commit/?id=7d9bb549d498d6beed2c4050c402d09643febdfa

However, I don't understand why we use two different dialogs instead of the same being called from both places? UX Team ?
Comment 5 Heiko Tietze 2018-11-22 07:58:04 UTC
(In reply to Xisco Faulí from comment #4)
> However, I don't understand why we use two different dialogs instead of the
> same being called from both places? UX Team ?

We have a many places with different color widgets (see bug 105225). If setting the transparency is not possible in the current context we would have to hide this tab but hard to imagine this situation. The same is true for shadow, btw.
Comment 6 Telesto 2018-11-22 08:06:58 UTC
(In reply to Xisco Faulí from comment #3)
> AS seen on the screenshot, the transparency tab is missing...

The Background tab isn't the same as Area either :-)
Comment 7 Xisco Faulí 2018-11-22 09:13:49 UTC
(In reply to Telesto from comment #6)
> (In reply to Xisco Faulí from comment #3)
> > AS seen on the screenshot, the transparency tab is missing...
> 
> The Background tab isn't the same as Area either :-)

Yep, you're right!
Comment 8 Jim Raykowski 2019-03-10 17:19:35 UTC
This is fixed with Aditya's patch for bug 116382
Comment 9 Dieter Praas 2019-07-21 04:44:57 UTC
Verified with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 2f2f4767089512c34514896bc37823f9310e9dd4
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-07-10_02:13:57
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded